	<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

	<div id="drawingModal" class="w3-modal">
	<h:form id="drawingModalForm" enctype="multipart/form-data">
		<h:inputHidden id="imgData" value="#{ideaInputBean.dataUrl}" />
	</h:form>
		<div class="w3-modal-content w3-animate-opacity">
				<header class="w3-container w3-blue">
					<h2>Deine Idee in Bildern (2/2)!</h2>
				</header>
				<div class="w3-container w3-padding-small">
						<div class="canvas-container" style="width: 350px; height: 500px; position: relative; user-select: none; float:left;">
							<canvas id="c" width="400" height="500" style="border: 1px solid rgb(170, 170, 170); position: absolute;
								width: 500px; height: 500px; left: 0px; top: 0px; touch-action: none; user-select: none;" class="lower-canvas">
							</canvas>
						</div>
					<div style="display: inline-block; margin-top: 10px; margin-left:120px;">
					<button id="drawing-mode" class="btn btn-info">Cancel drawing mode</button>
					<button id="delete-object" class="btn btn-info" style="display:none;">Delete Selected Object</button>
					<br></br>
					<button id="clear-canvas" class="btn btn-info">Clear</button>
					<!-- <button id="save-img" class="btn btn-info">Save</button> -->
					<div id="drawing-mode-options">
						<label for="drawing-mode-selector">Mode:</label>
						<select id="drawing-mode-selector">
							<option>Pencil</option>
							<option>Circle</option>
							<option>Spray</option>
							<option>Pattern</option>
							<option>hline</option>
							<option>vline</option>
							<option>square</option>
							<option>diamond</option>
						</select>
						<br></br>
						<label for="drawing-line-width">Line width:</label>
						<span class="info"></span>
						<input type="range" value="8" min="0" max="150" id="drawing-line-width"></input>
						<br></br>
						<label for="drawing-color">Line color:</label>
						<input type="color" value="#d00000" id="drawing-color"></input>
						<br></br>
						<label for="drawing-shadow-color">Shadow color:</label>
						<input type="color" value="#d00000" id="drawing-shadow-color"></input>
						<br></br>
						<label for="drawing-shadow-width">Shadow width:</label>
						<span class="info"></span>
						<input type="range" value="0" min="0" max="50" id="drawing-shadow-width"></input>
						<br></br>
						<label for="drawing-shadow-offset">Shadow offset:</label>
						<span class="info"></span>
						<input type="range" value="0" min="0" max="50" id="drawing-shadow-offset"></input>
						<br></br>
						</div>
						<h:form id="uploadImgForm" style="margin-top:120px;" enctype="multipart/form-data">
					  		<input type="file" id="uploadedImg"/>
					  </h:form>
					</div>
				</div>
				<h:form id="drawingModalFooterForm">
					<footer class="w3-container w3-grey">
						<div class="w3-bar">
							<p:commandButton value="Weiter" id="submitStepTwo" styleClass="ui-priority-primary"
							 style="float:right;" actionListener="#{ideaInputBean.ideaInputSaveDrawing()}">
							</p:commandButton>

							<p:commandButton value="Abbruch" id="cancelBtnStepTwo" type="button"
								onclick="document.getElementById('drawingModal').style.display='none';">
							</p:commandButton>
						</div>
					</footer>
					</h:form>
				</div>
				</div>
				</f:view>